#
# spec file for package mlvwm (Version 0.9.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         mlvwm
Copyright:    1996, Takashi HASEGAWA ; Uchikawa-Lab.
Group:        X11/Window Managers
Provides:     windowmanager
Autoreqprov:  on
Version:      0.9.1
Release:      171
Summary:      MacIntosh like window manager
URL:          http://www2u.biglobe.ne.jp/~y-miyata/mlvwm.html
Source: http://www2u.biglobe.ne.jp/~y-miyata/mlvwm/mlvwm091.tar.gz
Source1: mini-icons.tar.gz
Patch: mlvwm091.dif
BuildRoot:    /var/tmp/%{name}-build 

%description
Mac users will feel right at home!
This is a very early version.
Documentation can be found:
/usr/share/doc/packages/mlvwm
man mlvwm

Authors:
--------
    Takashi HASEGAWA <tak@bioele.nuee.nagoya-u.ac.jp>

SuSE series: xwm

%prep
%setup -n mlvwm091 -a 1
cp -a sample_rc/Mlvwmrc sample_rc/Mlvwmrc.orig
%patch

%build
xmkmf -a
make clean
make
#cd dfinder
#xmkmf -a
#make clean
#make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/pixmaps
cp mini*.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/pixmaps
cp pixmap/*.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGELOG CHANGELOG.jp FAQ.jp README README.jp CONFIGURATION 
%doc CONFIGURATION.jp sample_rc/Mlvwmrc sample_rc/Mlvwmrc.orig
#/usr/X11R6/bin/dfinder
/usr/X11R6/bin/mlvwm
%dir /etc/X11/mlvwm
%config /etc/X11/mlvwm/*
/usr/X11R6/lib/X11/mlvwm
%doc /usr/X11R6/man/man1/mlvwm.1x.gz

%changelog -n mlvwm
* Wed Dec 20 2000 - nadvornik@suse.cz
- fixed configuration
* Fri Nov 17 2000 - adrian@suse.de
- dropped pixmaps from #neededforbuild/Requires
* Mon Aug 14 2000 - nadvornik@suse.cz
- update to 0.9.1
* Mon Jun 05 2000 - ro@suse.de
- doc relocation, specfile cleanup
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar 17 1999 - ro@suse.de
- added -b .orig for patch
* Mon Oct 27 1997 - ro@suse.de
- added dfinder to subdirs in Imakefile
  ready for autobuild
* Thu May 22 1997 - maddin@suse.de
- moved pixmaps to package pixmaps
* Sun Apr 27 1997 - maddin@suse.de
- first S.u.S.E. version 0.7.0
- placed all documentation in package to /usr/doc/packages/mlvwm
- modified system.mlvwm so that fvwm and other wms may be restarted from
  mlvwm
